.modal {
    min-width: $min-window-width;
    position: fixed;
    z-index: 9999999;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    overflow: auto;
    background-color: $modal-overlay-color;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    visibility: visible;

    .modal__content {
        text-align: left;
        position: relative;
        display: flex;
        max-height: 90vh;
        margin: (-2vh) 3vw 0;
        background-color: $color-background;
        box-shadow: 0 1.2rem 2.2rem 0 $color-shadow-dark;
        overflow: auto;

        &.modal__content--sm {
            width: 33.6rem;
        }

        &.modal__content--md {
            width: 50.4rem;
        }

        &.modal__content--lg {
            width: 67.2rem;
        }
    }
}
